From 691dc171b5f0f34478a02129a7e1e784c591911e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 26 2020 02:56:12 +0000
Subject: [PATCH 688/2232] Update ui tests with rust-src component installed


---

diff --git a/Cargo.toml b/Cargo.toml
index 1e0ad0f..234b098 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -29,7 +29,7 @@ cc = "1.0.49"
 cxx-build = { version = "=0.3.4", path = "gen/build" }
 cxx-test-suite = { version = "0", path = "tests/ffi" }
 rustversion = "1.0"
-trybuild = { version = "1.0.32", features = ["diff"] }
+trybuild = { version = "1.0.33", features = ["diff"] }
 
 [workspace]
 members = ["demo-rs", "gen/build", "gen/cmd", "macro", "tests/ffi"]
diff --git a/tests/ui/opaque_not_sized.stderr b/tests/ui/opaque_not_sized.stderr
index efd1144..698fda7 100644
--- a/tests/ui/opaque_not_sized.stderr
+++ b/tests/ui/opaque_not_sized.stderr
@@ -4,5 +4,10 @@ error[E0277]: the size for values of type `str` cannot be known at compilation t
 4   |         type TypeR;
     |              ^^^^^ doesn't have a size known at compile-time
     |
+   ::: $RUST/core/src/ptr/mod.rs
+    |
+    | pub unsafe fn read<T>(src: *const T) -> T {
+    |                    - required by this bound in `std::ptr::read`
+    |
     = help: within `TypeR`, the trait `std::marker::Sized` is not implemented for `str`
     = note: required because it appears within the type `TypeR`

